﻿@model IEnumerable<eCommerce.Services.Model.Promotion>
@using eCommerce.Services.Model.Enums

<table class="table table-hover dataTable table-striped width-full" data-plugin="dataTable">
    <thead>
        <tr>
            <th>Título</th>
            <th class="text-center">Tienda</th>
            <th class="text-center">Tipo de promoción</th>
            <th class="text-center">Descuento</th>
            <th class="text-center">Formas de Pago</th>
            <th class="text-center">Vigente</th>
            <th class="text-center">Acciones</th>
        </tr>
    </thead>
    <tbody>
    @foreach (var item in Model)
    {
        <tr>
            <td>@item.Title</td>
            <td class="text-center">@(item.UserType.HasValue ? ((UserTypeEnum)item.UserType).ToString() : string.Empty)</td>
            <td class="text-center">@((PromotionTypeEnum)item.PromotionTypeId)</td>
            <td class="text-center">@item.DiscountPercent</td>
            <td class="text-center">
                @(item.Promotion_PaymentMethods.Any() ? string.Join(", ",item.Promotion_PaymentMethods.Select(x => x.PaymentMethod.Description)) : string.Empty)
            </td>
            <td class="text-center">
                @if (item.Valid)
                {
                    <span class="label label-outline label-success">Si</span>
                }
                else
                {
                    <span class="label label-outline label-danger">No</span>
                }
            </td>
            <td class="actions text-center">
                <a href="/Promotions/PromotionUpdate/@item.PromotionId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Editar"><i class="icon wb-edit" aria-hidden="true"></i></a>
                <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default remove-row"
                   data-toggle="tooltip" data-original-title="Eliminar" data-rowid="@item.PromotionId" onclick="fDeleteDialog(@item.PromotionId)"><i class="icon wb-trash" aria-hidden="true"></i></a>
            </td>
        </tr>
    }
    </tbody>
</table>
